%define class Net
%define subclass libnet
%define version 1.11
%define release 2

# Derived values
%define real_name %{subclass}
%define name perl-%{real_name}

Summary: 	Perl module %{subclass}
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		Development/Perl
License:        See documentation
Source: 	http://www.cpan.org/modules/by-module/%{class}/%{real_name}-%{version}.tar.gz
Patch:          perl-libnet-nointeractive.patch.bz2
Url: 		http://www.cpan.org/modules/by-module/%{class}
Packager:       Michael McLagan <michael.mclagan@linux.org>
BuildRequires:	perl >= 5.6.1
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot/
Requires: 	perl >= 5.6.1

%description
Perl module which implements the %{class} class.  

%prep
%setup -q -n %{real_name}-%{version}
%patch0 -p1
%{__perl} -i -p -e 's@#!.*/perl@\#\!%{__perl}@g' `find demos -type f`

%build
%{__perl} Makefile.PL
make OPTIMIZE="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
eval `%{__perl} '-V:installprivlib'`
eval `%{__perl} '-V:installsitearch'`
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}

# Clean up some files we don't want/need
rm -rf `find $RPM_BUILD_ROOT -name "perllocal.pod"`
rm -rf `find $RPM_BUILD_ROOT -name ".packlist" -o -name "*.bs"`

# Remove all empty directories
for i in `find $RPM_BUILD_ROOT -type d | tac`; do
   if [ -d $i ]; then 
      rmdir --ign -p $i;
   fi
done

%clean
cd ..
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{real_name}-%{version}

%files
%defattr(-,root,root)
%doc ChangeLog README demos
%{_prefix}

%changelog
* Fri Apr 19 2002 Michael McLagan <michael.mclagan@linux.org>
- Updated to 1.11

* Wed Feb 13 2002 Michael McLagan <michael.mclagan@linux.org>
- Updated to 1.0901

* Thu Jul 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.0703-6
- imported from mandrake. tweaked man path.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0703-5mdk
- Rebuild for the latest perl.

* Tue Nov 14 2000 Franois Pons <fpons@mandrakesoft.com> 1.0703-4mdk
- fixed typo in summary.

* Tue Aug 29 2000 Franois Pons <fpons@mandrakesoft.com> 1.0703-3mdk
- rename spec file.
- added minimal documentation.
- macroszifications.
- build as noarch.

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0703-2mdk
- Don't ask interactive questions.

* Mon Apr  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0703-1mdk
- 1.0703
- fixed group
- rebuild with new perl
- fixed location

* Tue Feb 29 2000 Jean-Michel Dault <jmdault@netrevolution.com> 1.0607-1mdk
- upgraded to 1.0607

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7

* Thu Dec 30 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- rebuilt for Mandrake 7

* Sun Aug 29 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- bzip2'd sources

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated. 
